Project:
RSS

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0009367Multi Theft Auto : San AndreasCEFpublic2016-09-08 20:452017-05-01 19:25
ReporterPrettySweetie 
Assigned ToJusonex 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformIntegrated Intel VGAOSWindowsOS Version10
Product Version 
Target Version1.5.5Fixed in Version1.5.5 
Summary0009367: CEF swaps red and blue color on integrated Intel VGA
DescriptionCEF swaps red and blue color on integrated Intel VGA. I tested it on integrated Core i7 6700k's HD Graphics 530 (sawps red and blue), on my notebook's integrated HD Graphics 4400 (processor i5-4210U, swaps red and blue) and Nvidia GTX 980 (works fine).
Screenshots (first two were taken on HD Graphics 530 and the rest were taken on GTX 980):
https://dl.dropboxusercontent.com/u/14449192/bugcreens/integrated1.png [^]
https://dl.dropboxusercontent.com/u/14449192/bugcreens/integrated2.png [^]
https://dl.dropboxusercontent.com/u/14449192/bugcreens/external1.png [^]
https://dl.dropboxusercontent.com/u/14449192/bugcreens/external2.png [^]
Steps To ReproduceMy code:
function initChat()
    webBrowser = createBrowser(width, height, true, false);
end

addEventHandler("onClientResourceStart", getResourceRootElement(), initChat);

function chatBrowserCreated()
    addEventHandler("onClientRender", root, webBrowserRender);
end

addEventHandler("onClientBrowserCreated", getResourceRootElement(), chatBrowserCreated);

function webBrowserRender()
    dxDrawImage(browserX, browserY, width, height, webBrowser, 0, 0, 0, tocolor(255, 255, 255, 255), true);
end
Additional InformationAlso I found on forum someone who has the same problem: https://forum.mtasa.com/topic/87662-negative-colors-in-cef/#comment-799788 [^]
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0025178)
Necktrox (developer)
2016-09-11 23:55

Can confirm this issue
(0025179)
Jusonex (administrator)
2016-09-12 12:15
edited on: 2016-09-13 12:25

Could you both please follow the following steps:
1) Download a CEF test application from http://opensource.spotify.com/cefbuilds/cef_binary_3.2785.1477.g58b5209_windows32_client.tar.bz2 [^]
2) Extract the files
3) Open a console in the 'Release' folder and type: cefclient.exe --off-screen-rendering-enabled
4) Test if you are able to reproduce the problem

Could you also please run MTADiag? https://nightly.mtasa.com/files/MTADiag.zip [^]

(0025193)
Necktrox (developer)
2016-09-13 17:07

MTADiag: https://pastebin.mtasa.com/483651432 [^]
(0025209)
blechbox (viewer)
2016-09-15 12:26

Can confirm this issue too.
But - for me - only present in non-compatibility Mode (XP SP3 compatibility works fine)

https://pastebin.mtasa.com/919681108 [^]
(0025213)
PrettySweetie (viewer)
2016-09-17 18:42

CEF test application works fine:
https://dl.dropboxusercontent.com/u/14449192/test.png [^]

MTA diag:
https://pastebin.mtasa.com/523247848 [^]
(0025248)
Jusonex (administrator)
2016-09-26 15:51

Could you please re-test using this version?
https://nightlytest.mtasa.com/download?type=windows32&branch=bugfix%2Fcef-swaps-color-channels [^]
(0025686)
oskry95 (viewer)
2017-02-26 21:28

Also I have this problem.
Is there any solution?
(0025822)
SHC//Sniper (reporter)
2017-04-17 01:43

Same for me on a Intel HD 4400 @ v1.5.3-release-11253.

Will try to test the custom build as soon as I can.

- Issue History
Date Modified Username Field Change
2016-09-08 20:45 PrettySweetie New Issue
2016-09-11 23:55 Necktrox Note Added: 0025178
2016-09-12 12:15 Jusonex Note Added: 0025179
2016-09-12 12:16 Jusonex Status new => feedback
2016-09-13 12:25 Jusonex Note Edited: 0025179 View Revisions
2016-09-13 17:07 Necktrox Note Added: 0025193
2016-09-15 12:26 blechbox Note Added: 0025209
2016-09-17 18:42 PrettySweetie Note Added: 0025213
2016-09-17 18:42 PrettySweetie Status feedback => new
2016-09-26 15:51 Jusonex Note Added: 0025248
2016-09-26 15:51 Jusonex Status new => feedback
2017-02-26 21:28 oskry95 Note Added: 0025686
2017-04-17 01:43 SHC//Sniper Note Added: 0025822
2017-05-01 19:25 Jusonex Status feedback => resolved
2017-05-01 19:25 Jusonex Resolution open => fixed
2017-05-01 19:25 Jusonex Assigned To => Jusonex
2017-05-01 19:25 Jusonex Project New issues => Multi Theft Auto : San Andreas
2017-05-01 19:25 Jusonex Fixed in Version => 1.5.5
2017-05-01 19:25 Jusonex Target Version => 1.5.5


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker